version: '3.3'
services:
  nginx:
    build:
      context: ../../dockerfiles/nginx
      dockerfile: Dockerfile
    command: sh /home/scripts/start.sh
    volumes:
      - ../nginx/nginx_config_dev.conf:/etc/nginx/conf.d/default.conf
      - ../../app:/var/www/html
      - ../scripts/nginx:/home/scripts
      - ../../letsencrypt:/etc/letsencrypt
    ports:
      - 443:443
    working_dir: /var/www/html
  php:
    build:
      context: ../../dockerfiles/php
      dockerfile: Dockerfile_ubuntu_prod
    volumes:
      - ../../app:/var/www/html
      - ../scripts/php:/home/scripts
    command: sh /home/scripts/start.sh
  db:
    build:
      context: ../../dockerfiles/mysql
      dockerfile: Dockerfile
    volumes:
      - ../../data/mysql:/var/lib/mysql
      - ../../dumps:/home/dumps
      - ../scripts/mysql:/home/scripts
    restart: unless-stopped
    working_dir: /home
    command: sh /home/scripts/start.sh
  adminer:
    image: adminer
    restart: always
    ports:
        - 8080:8080
networks:
  default:
    external:
      name: dockernet